Index: mythflix/i18n/mythflix_fi.ts
===================================================================
--- mythflix/i18n/mythflix_fi.ts	(revision 19002)
+++ mythflix/i18n/mythflix_fi.ts	(working copy)
@@ -3,27 +3,27 @@
 <context>
     <name>MythFlix</name>
     <message>
-        <location filename="../mythflix/mythflix.cpp" line="448"/>
+        <location filename="../mythflix/mythflix.cpp" line="393"/>
         <source>Browse Options</source>
         <translation>Selainasetukset</translation>
     </message>
     <message>
-        <location filename="../mythflix/mythflix.cpp" line="460"/>
+        <location filename="../mythflix/mythflix.cpp" line="405"/>
         <source>Add to Top of Queue</source>
         <translation>Lisää Jonon Alkuun</translation>
     </message>
     <message>
-        <location filename="../mythflix/mythflix.cpp" line="461"/>
+        <location filename="../mythflix/mythflix.cpp" line="406"/>
         <source>Add to Bottom of Queue</source>
         <translation>Lisää Jonon Loppuun</translation>
     </message>
     <message>
-        <location filename="../mythflix/mythflix.cpp" line="462"/>
+        <location filename="../mythflix/mythflix.cpp" line="407"/>
         <source>Show NetFlix Page</source>
         <translation>Näytä NetFlix Sivu</translation>
     </message>
     <message>
-        <location filename="../mythflix/mythflix.cpp" line="463"/>
+        <location filename="../mythflix/mythflix.cpp" line="408"/>
         <source>Cancel</source>
         <translation>Peruuta</translation>
     </message>
@@ -31,29 +31,29 @@
 <context>
     <name>MythFlixConfig</name>
     <message>
-        <location filename="" line="81"/>
+        <location filename="" line="0"/>
         <source>Press MENU to set the update frequency.</source>
         <translation type="obsolete">Valitse MENU asettaaksesi päivitysvälin.</translation>
     </message>
     <message>
-        <location filename="" line="81"/>
+        <location filename="" line="0"/>
         <source>Set update frequency by using the up/down arrows.
 The minimum allowed value is 30 Minutes.</source>
         <translation type="obsolete">Aseta päivitysväli käyttäen ylös/alas-näppäimiä.
 Pienin sallittu arvo on 30 minuuttia.</translation>
     </message>
     <message>
-        <location filename="" line="81"/>
+        <location filename="" line="0"/>
         <source>Press MENU to return to feed selection.</source>
         <translation type="obsolete">Valitse MENU palataksesi valikkoon.</translation>
     </message>
     <message>
-        <location filename="" line="81"/>
+        <location filename="" line="0"/>
         <source>Set update frequency by using the up/down arrows.The minimum allowed value is 30 Minutes.</source>
         <translation type="obsolete">Aseta taajuus, jonka mukaan päivitetään. Pienin arvo on 30 minuuttia.</translation>
     </message>
     <message>
-        <location filename="" line="81"/>
+        <location filename="" line="0"/>
         <source>Press Escape or Menu to exit.</source>
         <translation type="obsolete">Paina Escape tai Menu poistuaksesi.</translation>
     </message>
@@ -61,57 +61,57 @@
 <context>
     <name>MythFlixQueue</name>
     <message>
-        <location filename="../mythflix/mythflixqueue.cpp" line="517"/>
+        <location filename="../mythflix/mythflixqueue.cpp" line="482"/>
         <source>Manage Queue</source>
         <translation>Hallitse Jonoa</translation>
     </message>
     <message>
-        <location filename="../mythflix/mythflixqueue.cpp" line="529"/>
+        <location filename="../mythflix/mythflixqueue.cpp" line="494"/>
         <source>Top Of Queue</source>
         <translation>Jonon Huippu</translation>
     </message>
     <message>
-        <location filename="../mythflix/mythflixqueue.cpp" line="530"/>
+        <location filename="../mythflix/mythflixqueue.cpp" line="495"/>
         <source>Remove From Queue</source>
         <translation>Poista Jonosta</translation>
     </message>
     <message>
-        <location filename="../mythflix/mythflixqueue.cpp" line="534"/>
+        <location filename="../mythflix/mythflixqueue.cpp" line="499"/>
         <source>Cancel</source>
         <translation>Peruuta</translation>
     </message>
     <message>
-        <location filename="" line="81"/>
+        <location filename="" line="0"/>
         <source>Default</source>
         <translation type="obsolete">Oletus</translation>
     </message>
     <message>
-        <location filename="../mythflix/mythflixqueue.cpp" line="182"/>
+        <location filename="../mythflix/mythflixqueue.cpp" line="162"/>
         <source>History for Queue: </source>
         <translation>Jonon Historia: </translation>
     </message>
     <message>
-        <location filename="../mythflix/mythflixqueue.cpp" line="184"/>
+        <location filename="../mythflix/mythflixqueue.cpp" line="164"/>
         <source>Items in Queue: </source>
         <translation>Jonossa olevia artikkeleita: </translation>
     </message>
     <message>
-        <location filename="" line="81"/>
+        <location filename="" line="0"/>
         <source>Move Canceled</source>
         <translation type="obsolete">Siirrä Peruutetut</translation>
     </message>
     <message>
-        <location filename="" line="81"/>
+        <location filename="" line="0"/>
         <source>Item not moved.</source>
         <translation type="obsolete">Artikkelia ei siirretty.</translation>
     </message>
     <message>
-        <location filename="../mythflix/mythflixqueue.cpp" line="532"/>
+        <location filename="../mythflix/mythflixqueue.cpp" line="497"/>
         <source>Move To Another Queue</source>
         <translation>Siirrä Toiseen Jonoon</translation>
     </message>
     <message>
-        <location filename="../mythflix/mythflixqueue.cpp" line="533"/>
+        <location filename="../mythflix/mythflixqueue.cpp" line="498"/>
         <source>Show NetFlix Page</source>
         <translation>Näytä NetFlix Sivu</translation>
     </message>
@@ -119,27 +119,27 @@
 <context>
     <name>NewsSite</name>
     <message>
-        <location filename="../mythflix/newsengine.cpp" line="205"/>
+        <location filename="../mythflix/newsengine.cpp" line="206"/>
         <source>Retrieve Failed. </source>
         <translation>Haku epäonnistui. </translation>
     </message>
     <message>
-        <location filename="../mythflix/newsengine.cpp" line="225"/>
+        <location filename="../mythflix/newsengine.cpp" line="226"/>
         <source>Failed to retrieve news</source>
         <translation>Uutisten haku epäonnistui</translation>
     </message>
     <message>
-        <location filename="../mythflix/newsengine.cpp" line="214"/>
+        <location filename="../mythflix/newsengine.cpp" line="215"/>
         <source>No Cached News</source>
         <translation>Ei Puskuroituja Uutisia</translation>
     </message>
     <message>
-        <location filename="../mythflix/newsengine.cpp" line="227"/>
+        <location filename="../mythflix/newsengine.cpp" line="228"/>
         <source>Failed to read downloaded file</source>
         <translation>Haetun tiedoston luku epäonnistui</translation>
     </message>
     <message>
-        <location filename="../mythflix/newsengine.cpp" line="233"/>
+        <location filename="../mythflix/newsengine.cpp" line="234"/>
         <source>Showing Cached News</source>
         <translation>Näytetään Puskuroidut Uutiset</translation>
     </message>
@@ -147,9 +147,9 @@
 <context>
     <name>QObject</name>
     <message>
-        <location filename="../mythflix/mythflixqueue.cpp" line="179"/>
+        <location filename="../mythflix/mythflixqueue.cpp" line="159"/>
         <source>Default</source>
-        <translation type="unfinished">Oletus</translation>
+        <translation>Oletus</translation>
     </message>
 </context>
 <context>
Index: mythcontrols/i18n/mythcontrols_fi.ts
===================================================================
--- mythcontrols/i18n/mythcontrols_fi.ts	(revision 19002)
+++ mythcontrols/i18n/mythcontrols_fi.ts	(working copy)
@@ -3,22 +3,22 @@
 <context>
     <name>ActionMenu</name>
     <message>
-        <location filename="" line="737"/>
+        <location filename="" line="0"/>
         <source>Modify Action</source>
         <translation type="obsolete">Muokkaa Toimintoa</translation>
     </message>
     <message>
-        <location filename="" line="737"/>
+        <location filename="" line="0"/>
         <source>Set Binding</source>
         <translation type="obsolete">Aseta Komennot</translation>
     </message>
     <message>
-        <location filename="" line="737"/>
+        <location filename="" line="0"/>
         <source>Remove Binding</source>
         <translation type="obsolete">Poista Komennot</translation>
     </message>
     <message>
-        <location filename="" line="737"/>
+        <location filename="" line="0"/>
         <source>Cancel</source>
         <translation type="obsolete">Peruuta</translation>
     </message>
@@ -26,12 +26,12 @@
 <context>
     <name>ConfirmMenu</name>
     <message>
-        <location filename="" line="737"/>
+        <location filename="" line="0"/>
         <source>Confirm</source>
         <translation type="obsolete">Vahvista</translation>
     </message>
     <message>
-        <location filename="" line="737"/>
+        <location filename="" line="0"/>
         <source>Cancel</source>
         <translation type="obsolete">Peruuta</translation>
     </message>
@@ -39,203 +39,203 @@
 <context>
     <name>KeyGrabPopupBox</name>
     <message>
-        <location filename="" line="737"/>
+        <location filename="" line="0"/>
         <source>OK</source>
         <translation type="obsolete">OK</translation>
     </message>
     <message>
-        <location filename="../mythcontrols/keygrabber.cpp" line="30"/>
+        <location filename="../mythcontrols/keygrabber.cpp" line="48"/>
         <source>Cancel</source>
-        <translation type="unfinished">Peruuta</translation>
+        <translation>Peruuta</translation>
     </message>
     <message>
-        <location filename="../mythcontrols/keygrabber.cpp" line="79"/>
+        <location filename="../mythcontrols/keygrabber.cpp" line="102"/>
         <source>Pressed key not recognized</source>
         <translation>Ei tunnistettu painettua näppäintä</translation>
     </message>
     <message>
-        <location filename="../mythcontrols/keygrabber.cpp" line="84"/>
+        <location filename="../mythcontrols/keygrabber.cpp" line="107"/>
         <source>Add key &apos;%1&apos;?</source>
         <translation>Lisää näppäin &apos;%1&apos;?</translation>
     </message>
     <message>
-        <location filename="../mythcontrols/keygrabber.cpp" line="26"/>
+        <location filename="../mythcontrols/keygrabber.cpp" line="44"/>
         <source>Press A Key</source>
         <translation>Paina A-näppäintä</translation>
     </message>
     <message>
-        <location filename="../mythcontrols/keygrabber.cpp" line="26"/>
+        <location filename="../mythcontrols/keygrabber.cpp" line="44"/>
         <source>Waiting for key press</source>
         <translation>Odotetaan näppäinpainallusta</translation>
     </message>
     <message>
-        <location filename="../mythcontrols/keygrabber.cpp" line="29"/>
+        <location filename="../mythcontrols/keygrabber.cpp" line="47"/>
         <source>Ok</source>
-        <translation type="unfinished"></translation>
+        <translation>OK</translation>
     </message>
 </context>
 <context>
     <name>MythControls</name>
     <message>
-        <location filename="" line="737"/>
+        <location filename="" line="0"/>
         <source>Binding comes from %1 context</source>
         <translation type="obsolete">Komento tulee %1 viitekehyksestä</translation>
     </message>
     <message>
-        <location filename="" line="737"/>
+        <location filename="" line="0"/>
         <source>Delete this key binding from context %1?</source>
         <translation type="obsolete">Poistetaanko tämä komento viitekehyksestä %1?</translation>
     </message>
     <message>
-        <location filename="" line="737"/>
+        <location filename="" line="0"/>
         <source>Delete this binding?</source>
         <translation type="obsolete">Poistetaanko tämä komento?</translation>
     </message>
     <message>
-        <location filename="" line="737"/>
+        <location filename="" line="0"/>
         <source>Contexts</source>
         <translation type="obsolete">Viitekehykset</translation>
     </message>
     <message>
-        <location filename="" line="737"/>
+        <location filename="" line="0"/>
         <source>Keys</source>
         <translation type="obsolete">Komennot</translation>
     </message>
     <message>
-        <location filename="" line="737"/>
+        <location filename="" line="0"/>
         <source>Actions</source>
         <translation type="obsolete">Toiminnot</translation>
     </message>
     <message>
-        <location filename="../mythcontrols/mythcontrols.cpp" line="290"/>
+        <location filename="../mythcontrols/mythcontrols.cpp" line="294"/>
         <source>Change View</source>
         <translation>Vaihda Näkymää</translation>
     </message>
     <message>
-        <location filename="../mythcontrols/mythcontrols.cpp" line="251"/>
+        <location filename="../mythcontrols/mythcontrols.cpp" line="255"/>
         <source>Actions By Context</source>
         <translation>Toiminnot Asiayhteydessä</translation>
     </message>
     <message>
-        <location filename="../mythcontrols/mythcontrols.cpp" line="252"/>
+        <location filename="../mythcontrols/mythcontrols.cpp" line="256"/>
         <source>Contexts By Key</source>
         <translation>Asiayhteydet Näppäimelle</translation>
     </message>
     <message>
-        <location filename="../mythcontrols/mythcontrols.cpp" line="253"/>
+        <location filename="../mythcontrols/mythcontrols.cpp" line="257"/>
         <source>Keys By Context</source>
         <translation>Näppäimet Asiayhteydessä</translation>
     </message>
     <message>
-        <location filename="../mythcontrols/mythcontrols.cpp" line="653"/>
+        <location filename="../mythcontrols/mythcontrols.cpp" line="657"/>
         <source>Cancel</source>
         <translation>Peruuta</translation>
     </message>
     <message>
-        <location filename="../mythcontrols/mythcontrols.cpp" line="276"/>
+        <location filename="../mythcontrols/mythcontrols.cpp" line="280"/>
         <source>Options</source>
         <translation>Valinnat</translation>
     </message>
     <message>
-        <location filename="../mythcontrols/mythcontrols.cpp" line="289"/>
+        <location filename="../mythcontrols/mythcontrols.cpp" line="293"/>
         <source>Save</source>
         <translation>Tallenna</translation>
     </message>
     <message>
-        <location filename="../mythcontrols/mythcontrols.cpp" line="214"/>
+        <location filename="../mythcontrols/mythcontrols.cpp" line="216"/>
         <source>Modify Action</source>
         <translation>Muokkaa Toimintoa</translation>
     </message>
     <message>
-        <location filename="../mythcontrols/mythcontrols.cpp" line="227"/>
+        <location filename="../mythcontrols/mythcontrols.cpp" line="229"/>
         <source>Set Binding</source>
         <translation>Aseta Komennot</translation>
     </message>
     <message>
-        <location filename="../mythcontrols/mythcontrols.cpp" line="228"/>
+        <location filename="../mythcontrols/mythcontrols.cpp" line="230"/>
         <source>Remove Binding</source>
         <translation>Poista Komennot</translation>
     </message>
     <message>
-        <location filename="../mythcontrols/mythcontrols.cpp" line="303"/>
+        <location filename="../mythcontrols/mythcontrols.cpp" line="305"/>
         <source>Exiting, but there are unsaved changes.Which would you prefer?</source>
         <translation>Poistutaan, mutta on tallentamattomia muutoksia. Mitä Tehdään?</translation>
     </message>
     <message>
-        <location filename="../mythcontrols/mythcontrols.cpp" line="316"/>
+        <location filename="../mythcontrols/mythcontrols.cpp" line="318"/>
         <source>Save then Exit</source>
         <translation>Tallenna ja Poistu</translation>
     </message>
     <message>
-        <location filename="../mythcontrols/mythcontrols.cpp" line="317"/>
+        <location filename="../mythcontrols/mythcontrols.cpp" line="319"/>
         <source>Exit without saving changes</source>
         <translation>Poistu tallentamatta</translation>
     </message>
     <message>
-        <location filename="" line="737"/>
+        <location filename="" line="0"/>
         <source>Manditory Action</source>
         <translation type="obsolete">Pakollinen Toiminto</translation>
     </message>
     <message>
-        <location filename="../mythcontrols/mythcontrols.cpp" line="602"/>
+        <location filename="../mythcontrols/mythcontrols.cpp" line="606"/>
         <source>This action is manditory and needs at least one key bound to it. Instead, try rebinding with another key.</source>
         <translation>Toiminto on pakollinen ja tarvitsee ainakin yhden näppäinsidoksen.</translation>
     </message>
     <message>
-        <location filename="../mythcontrols/mythcontrols.cpp" line="629"/>
+        <location filename="../mythcontrols/mythcontrols.cpp" line="633"/>
         <source>This key binding conflicts with %1 in the %2 context.</source>
         <translation>Näppäinsidos on ristiriitainen %1 asiayhteydessä %2.</translation>
     </message>
     <message>
-        <location filename="" line="737"/>
+        <location filename="" line="0"/>
         <source>Conflicting Binding</source>
         <translation type="obsolete">Ristiriitainen Näppäinsidos</translation>
     </message>
     <message>
-        <location filename="" line="737"/>
+        <location filename="" line="0"/>
         <source>This key binding may conflict with %1 in the %2 context. Do you want to bind it anyway?</source>
         <translation type="obsolete">Näppäinsidos on ristiriitainen %1 asiayhteydessä %2. Sidotaanko kuitenkin?</translation>
     </message>
     <message>
-        <location filename="" line="737"/>
+        <location filename="" line="0"/>
         <source>Conflict Warning</source>
         <translation type="obsolete">Ristiriidan Varoitus</translation>
     </message>
     <message>
-        <location filename="../mythcontrols/mythcontrols.cpp" line="654"/>
+        <location filename="../mythcontrols/mythcontrols.cpp" line="658"/>
         <source>Bind Key</source>
         <translation>Sidosnäppäin</translation>
     </message>
     <message>
-        <location filename="../mythcontrols/mythcontrols.cpp" line="649"/>
+        <location filename="../mythcontrols/mythcontrols.cpp" line="653"/>
         <source>Ok</source>
-        <translation type="unfinished"></translation>
+        <translation>OK</translation>
     </message>
     <message>
-        <location filename="../mythcontrols/mythcontrols.cpp" line="632"/>
+        <location filename="../mythcontrols/mythcontrols.cpp" line="636"/>
         <source> Unable to bind key.</source>
-        <translation type="unfinished"></translation>
+        <translation> Näppäimen kiinnitys epäonnistui.</translation>
     </message>
     <message>
-        <location filename="../mythcontrols/mythcontrols.cpp" line="634"/>
+        <location filename="../mythcontrols/mythcontrols.cpp" line="638"/>
         <source> Do you want to bind it anyway?</source>
-        <translation type="unfinished"></translation>
+        <translation> Haluatko silti kiinnittää?</translation>
     </message>
 </context>
 <context>
     <name>OptionsMenu</name>
     <message>
-        <location filename="" line="737"/>
+        <location filename="" line="0"/>
         <source>Options</source>
         <translation type="obsolete">Valinnat</translation>
     </message>
     <message>
-        <location filename="" line="737"/>
+        <location filename="" line="0"/>
         <source>Save</source>
         <translation type="obsolete">Tallenna</translation>
     </message>
     <message>
-        <location filename="" line="737"/>
+        <location filename="" line="0"/>
         <source>Cancel</source>
         <translation type="obsolete">Peruuta</translation>
     </message>
@@ -243,12 +243,12 @@
 <context>
     <name>QObject</name>
     <message>
-        <location filename="" line="737"/>
+        <location filename="" line="0"/>
         <source>OK</source>
         <translation type="obsolete">OK</translation>
     </message>
     <message>
-        <location filename="" line="737"/>
+        <location filename="" line="0"/>
         <source>Cancel</source>
         <translation type="obsolete">Peruuta</translation>
     </message>
@@ -256,22 +256,22 @@
 <context>
     <name>UnsavedMenu</name>
     <message>
-        <location filename="" line="737"/>
+        <location filename="" line="0"/>
         <source>Unsaved Changes</source>
         <translation type="obsolete">Tallentamattomat Muutokset</translation>
     </message>
     <message>
-        <location filename="" line="737"/>
+        <location filename="" line="0"/>
         <source>Would you like to save now?</source>
         <translation type="obsolete">Talletetaanko nyt?</translation>
     </message>
     <message>
-        <location filename="" line="737"/>
+        <location filename="" line="0"/>
         <source>Save</source>
         <translation type="obsolete">Tallenna</translation>
     </message>
     <message>
-        <location filename="" line="737"/>
+        <location filename="" line="0"/>
         <source>Exit</source>
         <translation type="obsolete">Poistu</translation>
     </message>
